model_names=(
    meta-llama/Meta-Llama-3-8B-Instruct
)

seeding_schemes=(
    lefthash
    selfhash
)

gammas=(
    0.25
    0.5
)

deltas=(
    2.0
    4.0
)

n_keys=(2048)

alphas=(0.3 0.5)

for model_name in "${model_names[@]}"; do
    python launch_kgw_detection.py --model_name $model_name --seeding_scheme lefthash --delta 0 --gamma 0.25 --temperature 1.0 --custom_name disable_every0.1_15tokens --keys 1 --test stanford --n_samples 2000 --max_new_tokens 15
done

for model_name in "${model_names[@]}"; do
    for nkey in "${n_keys[@]}"; do
        python launch_stanford_detection.py --model_name $model_name --key_length $nkey --temperature 1.0 --custom_name disable_every0.1_15tokens --test stanford --n_samples 2000 --max_new_tokens 15 --keys 1 --percent_disable 0.1
    done
done